<?php
/******************************
 * WoWRoster.net  Roster
 * Copyright 2002-2006
 * Licensed under the Creative Commons
 * "Attribution-NonCommercial-ShareAlike 2.5" license
 *
 * Short summary
 *  http://creativecommons.org/licenses/by-nc-sa/2.5/
 *
 * Full license information
 *  http://creativecommons.org/licenses/by-nc-sa/2.5/legalcode
 * -----------------------------
 *
 * $Id: index.php 337 2006-12-09 10:40:34Z pleegwat $
 *
 ******************************/

if ( !defined('ROSTER_INSTALLED') )
{
    exit('Detected invalid access to this file!');
}

$roster->output['title'] = $roster->locale->act['reputationinfo'];

// --[ Build faction select box ]--
$qry_fct = "SELECT distinct(name) faction FROM `".$roster->db->table('reputation')."` ORDER BY name";
$result_fct = $roster->db->query( $qry_fct ) or die_quietly($roster->db->error(),'Database Error',basename(__FILE__),__LINE__,$qry_fct);

$choiceForm = "<form action=".makelink()." method='GET'>"
	.$roster->locale->act['faction_filter']
	."<select name='factionfilter' onchange='top.location.href=this.options[this.selectedIndex].value'>"
	."<option value='none'>".$roster->locale->act['SelectFaction']."\n";

while($row_fct = $roster->db->fetch($result_fct))
{
	if( isset($_REQUEST['factionfilter']) && $_REQUEST['factionfilter'] == $row_fct['faction'] )
			$choiceForm .= '<option value="'.makelink('guild-'.$addon['basename'].'&factionfilter='.$row_fct['faction']).'" selected="selected">'.$row_fct['faction']."</option>\n";
	else
			$choiceForm .= '<option value="'.makelink('guild-'.$addon['basename'].'&factionfilter='.$row_fct['faction']).'">'.$row_fct['faction']."</option>\n";
}
$choiceForm .= '	</select></form><br />';

$roster->db->free_result($result_fct);

print $choiceForm;

// --[ If a faction is selected, build the box with rep levels ]--
if( isset($_REQUEST['factionfilter']) )
{
	$query = "SELECT m.clientLocale locale, m.name member, r.faction, r.name fct_name, curr_rep AS value, ".
		"curr_rep, ".
		"max_rep, ".
		"r.standing ".
		"FROM `".$roster->db->table('reputation')."` r, `".$roster->db->table('players')."` m ".
		"WHERE r.member_id = m.member_id ".
		"AND guild_id = ".$roster->data['guild_id']." ".
		"AND r.name='".$_REQUEST['factionfilter']."' ".
		"ORDER BY max_rep desc, r.standing DESC, curr_rep DESC";

	$result = $roster->db->query($query) or die_quietly($roster->db->error(),'Database Error',basename(__FILE__),__LINE__,$query);

	$striping_counter = 1;
	$rep = array();

	while($row = $roster->db->fetch($result))
	{
		$category = $row['faction'];
		$faction = $row['fct_name'];
		$colorstyle = '';
		$imgbar = '';

		$language_used = $row['locale'];
		
		switch ($row['standing'])
		{
		case ($roster->locale->wordings[$language_used]['exalted']):
			$colorstyle = 'style=\'color : #007662;\'';
			$imgbar = 'addons/FactReputation/images/barbit_b.gif';	// $addon['image_path']
			break;
		case ($roster->locale->wordings[$language_used]['revered']):
			$colorstyle = 'style=\'color : #227501;\'';
      		$imgbar = 'addons/FactReputation/images/barbit_g.gif';
			break;
 		case ($roster->locale->wordings[$language_used]['honored']):
			$colorstyle = 'style=\'color : #547301;\'';
			$imgbar = 'addons/FactReputation/images/barbit_h.gif';
    			break;
		case ($roster->locale->wordings[$language_used]['friendly']):
		    $colorstyle = 'style=\'color : #787701;\'';
		    $imgbar = 'addons/FactReputation/images/barbit_f.gif';
    			break;
    		case ($roster->locale->wordings[$language_used]['neutral']):
	      	$colorstyle = 'style=\'color : #A48618;\'';
			$imgbar = 'addons/FactReputation/images/barbit_y.gif';
    			break;
		case ($roster->locale->wordings[$language_used]['unfriendly']):
	      	$colorstyle = 'style=\'color : orange;\'';
			$imgbar = 'addons/FactReputation/images/barbit_o.gif';
	    		break;
	 	 case ($roster->locale->wordings[$language_used]['hostile']):
	      	$colorstyle = 'style=\'color : #974414;\'';
			$imgbar = 'addons/FactReputation/images/barbit_host.gif';
    			break;
 		case ($roster->locale->wordings[$language_used]['hated']):
		      $colorstyle = 'style=\'color : #FF3333;\'';
	      	$imgbar = 'addons/FactReputation/images/barbit_r.gif';
	    		break;
 		}  	
		$percent_exp = ($row['max_rep'] > 0 ? round(($row['curr_rep']/$row['max_rep'])*100) : 0);

		if (!array_key_exists($row['standing'], $rep))
   		{
			$rep[$row['standing']] = ('<tr class="membersRow'. ((++$striping_counter % 2) +1) ."\">\n");
		}
		else
		{
			$rep[$row['standing']] .=('<tr class="membersRow'. ((++$striping_counter % 2) +1) ."\">\n");
		}

		$rep[$row['standing']] .=('<td class="membersRow'. (($striping_counter % 2) +1) .'"' . ' ' . $colorstyle . '>'.$row['member'].'</td>');
		$rep[$row['standing']] .=('<td class="membersRow'. (($striping_counter % 2) +1) .'"' . ' ' . $colorstyle . '>'.$row['standing'].'</td>');
		$rep[$row['standing']] .=('<td class="membersRowRight'. (($striping_counter % 2) +1) .'"' . ' ' . $colorstyle . '>'.'<div style="cursor:default;">'.'<div class="levelbarParent" style="width:100px;">'.'<div class="levelbarChild">' . $row['curr_rep'].' / '.$row['max_rep'].'</div>' .  '</div>' . '<table class="expOutline" border="0" cellpadding="0" cellspacing="0" width="100">' . '<tr>' . '<td style="background-image: url(\'' . $imgbar .'\');" width="'. $percent_exp .'%"><img src="img/pixel.gif" height="14" width="1" alt=""></td>' . '<td width="'.(100 - $percent_exp).'%"></td>' . '</tr>' . '</table>' . '</div></td>');
		$rep[$row['standing']] .=('</tr>');
	}

	$roster->db->free_result($result);

	$borderTop = border('syellow', 'start', $category.' - '.$faction);
	$tableHeader = '<table width="100%" cellspacing="0" class="bodyline">';
	$tableHeaderRow = '	<tr>
		<th class="membersHeader">'.$roster->locale->act['rep_name'].'</th>
		<th class="membersHeader">'.$roster->locale->act['rep_status'].'</th>
		<th class="membersHeaderRight">'.$roster->locale->act['rep_value'].' / '.$roster->locale->act['rep_max'].'</th>
		</tr>';
	$tableFooter = '</table>';
	$borderBottom = border('syellow', 'end',$category.' - '.$faction);

	print $borderTop;
	print $tableHeader;
	print $tableHeaderRow;
	
	function print_array($faction,&$rep)
	{
		if (array_key_exists($faction, $rep))
			print $rep[$faction]; 
	}
	
	print_array($roster->locale->wordings[$language_used]['exalted'],$rep);
	print_array($roster->locale->wordings[$language_used]['revered'],$rep);
	print_array($roster->locale->wordings[$language_used]['honored'],$rep);
	print_array	($roster->locale->wordings[$language_used]['friendly'],$rep);
	print_array($roster->locale->wordings[$language_used]['neutral'],$rep);
	print_array($roster->locale->wordings[$language_used]['unfriendly'],$rep);
	print_array($roster->locale->wordings[$language_used]['hostile'],$rep);
	print_array($roster->locale->wordings[$language_used]['hated'],$rep);
	
	print $tableFooter;
	print $borderBottom;

}
?>
